# Configuration

## Database

The database settings must be set in order for the package to work properly. These settings should be provided to you by your system administrator or your hosting company.

$g_hostname

- Host name or connection string for Database server. The default value is localhost. For MySql, this should be hostname or hostname:port (e.g. localhost:3306).

$g_db_username

- User name to use for connecting to the database. The user needs to have read/write access to the MantisBT database. The default user name is "root".

$g_db_password

- Password for the specified user name. The default password is empty.

$g_database_name

- Name of database that contains MantisBT tables. The default name is 'bugtracker'.

$g_db_schema

- The database schema (used in case of DB2), otherwise should be left blank.

$g_db_type

- The supported database types include: 'mysql' or 'mysqli' for MySQL, 'pgsql' for PostgreSQL, 'mssql' for MS SQL Server, 'oci8' for Oracle, and 'db2' for DB2. It is important to make sure that the PHP extension corresponding to the database type is enabled.

## Path

These path settings are important for proper linking within MantisBT. In most scenarios the default values should work fine, and you should not need to override them.

$g_path

- URL to your installation as seen from the web browser; this is what you type into the URL field. Requires trailing '/' character. eg. 'http://www.example.com/mantisbt/'. In the following example https protocol is used: eg. 'https://www.example.com/mantisbt/'. MantisBT will default this to the correct value. However, in some cases it might be necessary to override the default. This is typically needed when an installation can be accessed by multiple URLs (internal vs external).

$g_icon_path

- This is the URL to the icons (images) directory as seen from the web browser. All MantisBT images/icons are loaded from this URL. The default value for this URL is based on $g_path (i.e. '%path%images/'). Note that a trailing '/' is required.

$g_short_path

- Short web path without the domain name. This requires the trailing '/'.

$g_absolute_path

- This is the absolute file system path to the MantisBT installation, it is defaulted to the directory where config_defaults_inc.php resides. Requires trailing '/' character (eg. '/usr/apache/htdocs/mantisbt/').

$g_core_path

- This is the path to the core directory of your installation. The default value is usually OK, unless you move the 'core' directory out of your webroot. Requires trailing DIRECTORY_SEPARATOR. character.

$g_class_path

- This is the path to the classes directory which is a sub-directory of core by default. The default value is typically OK. Requires trailing DIRECTORY_SEPARATOR. character.

$g_manual_url

- This is the url to the MantisBT online manual. Requires trailing '/' character.

## Webserver

$g_use_iis

- Indicates that IIS (Microsoft Internet Information Server) is the web server on which MantisBT is hosted.

  Default value is normally determined automatically by the system.

$g_session_handler

- Session handler. Possible values are as per the list below; the default is php.

  - php: PHP filesystem sessions

  - adodb: Database storage sessions

  - memcached: Memcached storage sessions

$g_session_key

- A string to uniquely identify the MantisBT sessions. This should be unique between multiple installations to prevent conflicts. Defaults to MantisBT.

$g_session_save_path

- Location where session files are stored. The default is false, meaning the session handler's default location will be used.

$g_session_validation

- Use Session validation (defaults to ON)

  WARNING: Disabling this could be a potential security risk

$g_form_security_validation

- Form security validation, defaults to ON. This protects against Cross-Site Request Forgery. Some proxy servers may not correctly work with this option enabled because they cache pages incorrectly.

  WARNING: Disabling this option is a security risk, it is strongly recommended to leave it ON

## Configuration Settings

$g_global_settings

- This option contains the list of regular expressions that are used to determine if it is allowed for a specific configuraiton option to be saved to or loaded from the database. Configuration options that matches the regular expressions are considered global only and hence are only configurable via the config_inc.php file and defaulted by config_defaults_inc.php file.

## Signup and Lost Password

$g_allow_signup

- Allow users to signup for their own accounts. Default is ON.

$g_max_failed_login_count

- Maximum failing login attempts before the account is locked. Once locked, it's required to reset the password (lost password). Value resets to zero at each successfully login. Default is OFF.

$g_notify_new_user_created_threshold_min

- The minimum global access level required to be notified when a new user registers via the "signup form". To pick specific access levels that are not necessarily at the higher end of access levels, use an array of access levels. Default is ADMINISTRATOR.

$g_send_reset_password

- When set to ON, MantisBT will email the users their new passwords when their accounts are reset. If set to OFF, the password will be reset to blank and no e-mail will be sent. Default is ON.

$g_password_confirm_hash_magic_string

- TODO

$g_signup_use_captcha

- TODO

$g_system_font_folder

- TODO

$g_font_per_captcha

- TODO

$g_lost_password_feature

- TODO

$g_max_lost_password_in_progress_count

- TODO

## Email

$g_administrator_email

- The administrator's e-mail address. This is mainly prompted to the user in case of errors that might require the intervention of the system administrator. For example, SQL errors. sysadmin@example.com

$g_webmaster_email

- The webmaster's e-mail address. This address is displayed in the bottom of all MantisBT pages. webmaster@example.com

$g_from_email

- The email address to be used as the source of all emails sent by MantisBT. noreply@example.com

$g_return_path_email

- Email address to receive bounced emails.

$g_enable_email_notification

- Set to ON to enable email notifications, OFF to disable them. Default is ON. Note that disabling email notifications has no effect on emails generated as part of the user signup process. When set to OFF, the password reset feature is disabled. Additionally, notifications of administrators updating accounts are not sent to users.

$g_default_notify_flags

- Associated with each action a list of flags to control who should be notified.The default will be used if the action is not included in $g_notify_flags orif the flag is not included in the specific action definition. The list of actions include: new, assigned, resolved, bugnote, reopened, closed, deleted, feedback.The default is: $g_default_notify_flags = array('reporter' => ON, 'handler' => ON, 'monitor' => ON, 'bugnotes' => ON, 'explicit' => ON, 'threshold_min' => NOBODY, 'threshold_max' => NOBODY); threshold_min and threshold_max are used to send messages to all members of the project whose status is greater than or equal to "threshold_min" and less than or equal to "threshold_max". Sending messages to everyone would set "threshold_min" to ANYBODY and "threshold_max to "NOBODY". To send to all DEVELOPERS and above (as 0.17.5), use DEVELOPER and NOBODY respectively.

$g_notify_flags

- Defines the notification flags that are different from the defaults that are defined in $g_default_notify_flags. The following code overrides the default by disabling notifications to bugnote authors and users monitoring the bug on submitting a new bug: $g_notify_flags['new'] = array('bugnotes' => OFF, 'monitor' => OFF); Available actions include:

  - 'new': a new bug has been added

  - 'reopened': the bug has been reopened

  - 'deleted': a bug has been deleted

  - 'owner': the bug has been assigned a new owner

  - 'bugnote': a bugnote has been added to a bug

  - 'sponsor': the sponsorship for the bug has changed (added, deleted or updated)

  - 'relation': a relationship for the bug has changed (added, deleted or updated)

  - 'monitor': a user is added to the monitor list.

  In addition, an action can match the bug status in $g_status_enum_string. Note that spaces in the string are replaced with underscores ('_') in creating the action. Thus, using the defaults, 'feedback' would be a valid action.

$g_email_receive_own

- This defines whether users should receive emails for their own actions. This option is defaulted to OFF, hence, users do not receive email notification for their own actions. This can be a source for confusions for users upgrading from MantisBT 0.17.x versions, since in these versions users used to get notified of their own actions.

$g_validate_email

- Set to OFF to disable email checking. Default is ON.

$g_check_mx_record

- Set to OFF to disable email checking. Default is OFF.

$g_allow_blank_email

- If ON, allows the user to omit an email address field. If you allow users to create their own accounts, they must specify an email at that point, no matter what the value of this option is. Otherwise they wouldn't get their passwords.

$g_limit_email_domain

- Only allow and send email to addresses in the given domain. This is useful as a security feature and it is also useful in cases like Sourceforge where its servers are only limited to send emails to SourceForge email addresses in order to avoid spam. $g_limit_email_domain = 'users.sourceforge.net';

$g_show_user_email_threshold

- This specifies the access level that is needed to have user names hyperlinked with mailto: links. The default value is NOBODY, hence, even administrators won't have this feature enabled.

$g_mail_priority

- If use_x_priority is set to ON, what should the value be? Urgent = 1, Not Urgent = 5, Disable = 0 . Default is 3 Some MTAs interpret X-Priority = 0 to mean 'Very Urgent'

$g_phpMailer_method

- Select the method to mail by: PHPMAILER_METHOD_MAIL for use of mail() function, PHPMAILER_METHOD_SENDMAIL for sendmail (or postfix), PHPMAILER_METHOD_SMTP for SMTP. Default is PHPMAILER_METHOD_MAIL.

$g_smtp_host

- This option specifies the SMTP server to submit messages to. The SMTP server (MTA) then takes on the responsibility of deliverying such messages to their final destinations. To use the local SMTP (if available) set this to 'localhost', otherwise use the fully qualified domain name of the remote SMTP server. Default value is 'localhost'.

$g_smtp_port

- The smtp port to use. The typical SMTP ports are 25 and 587. The port to use will depend on the SMTP server configuration and hence others may be used. The default is 25.

$g_smtp_connection_mode

- This option allows you to specify the connection mode to the SMTP server. Possible values are '', 'ssl', 'tls'. The default value is ''.

$g_smtp_username

- This option allows the use of SMTP Authentication when using a remote SMTP host with PHPMailer. If smtp_username is not '' then the username and password will be used when logging in to the SMTP server. Default is ''.

$g_smtp_password

- This is the password that is used in SMTP Authentication . Default is ''.

$g_email_send_using_cronjob

- Disables sending of emails as soon as an action is performed. Emails are instead queued and must be sent by running scripts/send_emails.php periodically. This script can only be executed from the CLI, not from the web interface, for security reasons.

  Enabling this option can help with performance problems if large numbers of emails are generated or mail delivery is slow by not delaying page execution when sending emails.

$g_email_set_category

- Specify whether e-mails should be sent with the category set or not. This is tested with Microsoft Outlook. More testing for this feature + other formats will be added in the future. OFF, EMAIL_CATEGORY_PROJECT_CATEGORY (format: [Project] Category). Default is OFF.

$g_email_separator1

- Default is str_pad('', 70, '='); This means 70 equal signs.

$g_email_separator2

- Default is str_pad('', 70, '-'); This means 70 minus signs.

$g_email_padding_length

- Default is 28.

MantisBT uses flags and a threshold system to generate emails on events. For each new event, email is sent to:

- the reporter, qualified by the notify flag 'reporter' below

- the handler (or Assigned to), qualified by the notify flag 'handler' below

- anyone monitoring the bug, qualified by the notify flag 'monitor' below

- anyone who has ever added a bugnote the bug, qualified by the notify flag 'bugnotes' below

- anyone assigned to the project whose access level is greater than or equal to the notify flag 'threshold_min' and less than or equal to the notify flag 'threshold_max' below

From this list, those recipients who meet the following criteria are eliminated:

- the originator of the change, if $g_email_receive_own is OFF

- the recipient either no longer exists, or is disabled

- the recipient has turned their email_on_<new status> preference OFF

- the recipient has no email address extered

## Version

$g_show_version

- Whether to show the MantisBT version at the bottom of each page or not. Default is ON.

## Language

$g_default_language

- This is the language used by default in MantisBT. This may be set to 'auto' where MantisBT will try to determine the language from the browser.

$g_language_choices_arr

- This is to be set to an array of languages that are available for users to choose from. The default value includes all languages supported by MantisBT. The administrator can limit the languages available for users to choose from by overriding this value. For example, to support English, French and German include the following code: array( 'english', 'french', 'german' ); Of course, administrators can also add their own languages by translating the strings and creating their own language files. You are encouraged to share any translation work that you do with the MantisBT team. This will ensure that the newly created language file is maintained with future MantisBT releases.All language files reside in the lang/ folder. They are all named according to the following pattern: strings_<language>.txt.

$g_fallback_language

- This is the language used if MantisBT cannot determine the language from the browser. It defaults to 'english'.As of 0.19.0, this may be set to 'auto' where MantisBT will try to determine the language from the browser.

If a string does not exist in the active language, the English string is used instead.

## Display

$g_window_title

- This is the browser window title (<TITLE> tag).

$g_page_title

- This is a heading that is displayed in the viewing area of the page.

$g_favicon_image

- Path to the favorites icon relative to MantisBT root folder (default 'images/favicon.ico').

$g_logo_image

- Path to the logo image relative to MantisBT root folder (default 'images/mantis_logo.gif').

$g_logo_url

- The default URL to be associated with the logo. By default this is set to $g_default_home_page (which defaults to My View page). Clicking on the logo from any page in the bug tracker will navigate to the URL specified in this configuration option.

$g_show_footer_menu

- Show the menu at the bottom of the page as well as at the top. Default value is OFF.

$g_show_project_menu_bar

- This option specifies whether to add menu at the top of the page which includes links to all the projects. The default value is OFF.

$g_show_assigned_names

- When a bug is assigned then replace the word "assigned" with the name of the developer in parenthesis. Default is ON.

$g_show_priority_text

- Specifies whether to show priority as text (ON) or icon (OFF) in the view all bugs page. Default is OFF (icon).

$g_priority_significant_threshold

- Define the priority level at which a bug becomes significant. Significant bugs are displayed with emphasis. Set this value to -1 to disable the feature. The default value is HIGH.

$g_severity_significant_threshold

- Define the severity level at which a bug becomes significant. Significant bugs are displayed with emphasis. Set this value to -1 to disable the feature. The default value is MAJOR.

$g_view_issues_page_columns

- This configuration option is used to select the columns to be included in the View Issues page and in which order. If one of the column is not accessible to the logged in user, or corresponds to a disabled feature, then it will be automatically removed from the list at runtime. Hence, the same column list may show a different set of columns based on the logged in user, the currently selected project and enabled features (e.g. sponsorship_total is only shown if the sponsorship feature is enabled).

  The supported columns are: selection, edit, id, project_id, reporter_id, handler_id, priority, reproducibility, projection, eta, resolution, fixed_in_version, view_state, os, os_build, build (for product build), platform, version, date_submitted, attachment_count, category, sponsorship_total, severity, status, last_updated, summary, bugnotes_count, description, steps_to_reproduce, additional_info. As for custom fields they can be referenced by adding a 'custom_' to their name (e.g. xyz would be custom_xyz).

  By default the following columns are selected: selection, edit, priority, id, sponsorship_total, bugnotes_count, attachment_count, category_id, severity, status, last_updated, summary.

$g_print_issues_page_columns

- This configuration option is used to select the columns to be included in the Print Issues page and in which order. See $g_view_issues_page_columns for more details about the supported fields.

  By default the following columns are selected: selection, priority, id, sponsorship_total, bugnotes_count, attachment_count, category_id, severity, status, last_updated, summary

$g_csv_columns

- This configuration option is used to select the columns to be included in the CSV export and in which order. See $g_view_issues_page_columns for more details about the supported fields.

  By default the following columns are selected: id, project_id, reporter_id, handler_id, priority, severity, reproducibility, version, build, projection, category_id, date_submitted, eta, os, os_build, platform, view_state, last_updated, summary, status, resolution, fixed_in_version, duplicate_id.

$g_excel_columns

- This configuration option is used to select the columns to be included in the CSV export and in which order. See $g_view_issues_page_columns for more details about the supported fields.

  By default the following columns are selected: id, project_id, reporter_id, handler_id, priority, severity, reproducibility, version, build, projection, category_id, date_submitted, eta, os, os_build, platform, view_state, last_updated, summary, status, resolution, fixed_in_version, duplicate_id.

$g_show_bug_project_links

- Show project links when in All Projects mode. Default is ON.

$g_status_legend_position

- Specifies the position of the status colour legend, can be: STATUS_LEGEND_POSITION_TOP or STATUS_LEGEND_POSITION_BOTTOM. Default is STATUS_LEGEND_POSITION_BOTTOM.

$g_show_product_version

- This controls display of the product version in the report, view, update and print issue pages. This flag also applies to other product version related fields like product build, fixed in version, and target version. Valid values are ON, OFF, and AUTO. ON for always displayed, AUTO for displayed when project has versions defined, and OFF for always OFF. The default value is AUTO.

$g_show_version_dates_threshold

- The access level threshold at which users will see the date of release for product versions. Dates will be shown next to the product version, target version and fixed in version fields. Set this threshold to NOBODY to disable the feature. Default value is NOBODY.

$g_show_realname

- This control will replace the user's userid with their realname. If it is set to ON, and the real name fiels has been populated, the replacement will occur. It defaults to OFF.

$g_show_avatar

- Show user avatar (default OFF); the current implementation is based on http://www.gravatar.com, users will need to register there with the same email address used in this MantisBT installation to have their avatar shown.

  Upon registration or avatar change, it takes some time for the updated gravatar images to show on sites.

$g_show_avatar_threshold

- The threshold of users for which MantisBT should attempt to show the avatar (default DEVELOPER). Note that the threshold is related to the user for whom the avatar is being shown, rather than the user who is currently logged in.

## Time

$g_cookie_time_length

- Time for 'permanent' cookie to live in seconds. This is what is used when a user selects "save login". Default is the equivalent of 1 year (30000000).

$g_allow_permanent_cookie

- Allow users to opt for a 'permanent' cookie when logging in. Controls the display of the 'Remember my login in this browser' checkbox on the login page. See $g_cookie_time_length.

$g_wait_time

- Time to delay between page redirects (in seconds). Users can override this setting in their user preferences. Default is 2 seconds.

$g_content_expire

- Time to wait before document is stale (in minutes). This is used in meta_inc.php. Default is 0 (expires right away).

$g_long_process_timeout

- This timeout is used by pages which does time consuming operations like upgrading the database. The default value of 0 disables timeout. Note that this timeout is specified in seconds.

## Date

These variables control how the date is displayed (default is 'US' formatting). Go to the date() function in PHP online manual for detailed instructions on date formatting.

$g_short_date_format

- This format is used in the bug listing pages (eg: View Bugs). Default is 'm-d-y'.

$g_normal_date_format

- This format is used in the view/update bug pages, bug notes, manage section, and news section. Default is 'm-d-y H:i'.

$g_complete_date_format

- This format is used on the top of each page (current time) and the emails that are sent out. Default is 'm-d-y H:i T'.

## News

These options are used to control the query that selects the news entries to be displayed.

$g_news_enabled

- Indicates whether the news feature should be enabled or disabled. The default is OFF. The news feature is deprecated in favor of being moved to a plugin.

$g_news_limit_method

- Limit the news entry that are displayed by number of entries (BY_LIMIT) or by date (BY_DATE). The default is BY_LIMIT.

$g_news_view_limit

- The limit for the number of news entries to be displayed. This option is only used if $g_news_limit_method is set to BY_LIMIT.

$g_news_view_limit_days

- Specifies the number of dates after which the news are not displayed. This option is only used if $g_news_limit_method is set to BY_DATE.

$g_private_news_threshold

- Specifies the access level required to view private news. The default is DEVELOPER.

## Default Preferences

$g_default_new_account_access_level

- This is the default access level users are given when their account is created by email. The default access level is REPORTER. Look in constant_inc.php for other values.

$g_default_bug_view_status

- The default viewing status for the new bug (VS_PUBLIC or VS_PRIVATE). The default is VS_PUBLIC.

$g_default_bugnote_view_status

- The default viewing status for the new bugnote (VS_PUBLIC or VS_PRIVATE). The default is VS_PUBLIC.

$g_default_reminder_view_status

- The default viewing status for the new reminders (VS_PUBLIC or VS_PRIVATE). The default is VS_PUBLIC.

$g_reminder_receive_threshold

- The minimum access level for a user to show up in the reminder user picker. Note that this is the access level for the project for which the issue belongs. The default is DEVELOPER.

$g_default_bug_resolution

- The resolution for a newly created issue. The default is OPEN. Look in constant_inc.php for other values.

$g_default_bug_severity

- The severity for a newly created issue. The default is MINOR. Look in constant_inc.php for other values.

$g_default_bug_priority

- The priority for a newly created issue. The default is NORMAL. Look in constant_inc.php for other values.

$g_default_bug_reproducibility

- The reproducibility for a newly created issue. The default is REPRODUCIBILITY_HAVENOTTRIED. Look in constant_inc.php for other values.

$g_default_bug_projection

- The projection for a newly created issue. The default is PROJECTION_NONE. Look in constant_inc.php for other values.

$g_default_bug_eta

- The ETA for a newly created issue. The default is ETA_NONE. Look in constant_inc.php for other values.

$g_default_category_for_moves

- Default global category to be used when an issue is moved from a project to another that doesn't have a category with a matching name. The default is 1 which is the "General" category that is created in the default database.

$g_default_limit_view

- Number of bugs to show in the View Bugs page. The default value is 50.

$g_default_show_changed

- Highlight bugs that have changed during the last N hours. The default value is 6.

$g_hide_status_default

- Controls which issues will be displayed in the View Issues page. Default value is CLOSED, implying that all issues at "closed" or higher state will not be shown.

$g_min_refresh_delay

- This is the delay between automatic refreshes of the View Issues page in minutes. Make sure refresh delay in user preferences isn't too short. If a users set their preferences to be lower then it is bumped back up to this minimum value. The default value is 10 minutes.

These settings are used as the default values for preferences for new users. Each user can override these settings through the user preferences form. Default language is set to default site language ($g_default_language).

$g_default_refresh_delay

- Default page refresh delay (in minutes). This is for the bug listing pages. Default value is 30 minutes.

$g_default_redirect_delay

- Default delay before a user is redirected to a page after being prompted by a message (eg: operational successful). Default value is 2 seconds.

$g_default_bugnote_order

- This controls the time order in which bug notes are displayed. It can be either ASC (oldest first, the default) or DESC (newest first).

$g_default_email_on_new$g_default_email_on_assigned$g_default_email_on_feedback$g_default_email_on_resolved$g_default_email_on_closed

- Default user preferences to enable receiving emails when a bug is set to the corresponding status. This option only has an effect if users have the required access level to receive such emails. Default value is ON.

$g_default_email_on_reopened

- Default user preferences to enable receiving emails when bugs are re-opened. Default value is ON.

$g_default_email_on_bugnote

- Default user preferences to enable receiving emails when bugnotes are added to bugs. Default value is ON.

$g_default_email_on_status$g_default_email_on_priority

- Default user preferences to enable receiving emails when status or priority is changed. Default is ON. Note that this option is not implemented.

$g_default_email_on_new_minimum_severity$g_default_email_on_assigned_minimum_severity$g_default_email_on_feedback_minimum_severity$g_default_email_on_resolved_minimum_severity$g_default_email_on_closed_minimum_severity$g_default_email_on_reopened_minimum_severity$g_default_email_on_bugnote_minimum_severity

- Default user preferences to enable filtering based on issue severity. These correspond to the email_on_<status> settings. Default is 'any'.

$g_default_email_on_bugnote_minimum_severity

- Default user preference to enable filtering based on issue severity. These corresponds to the email_on_bugnote setting. Default is 'any'.

$g_default_email_on_status_minimum_severity$g_default_email_on_priority_minimum_severity

- Default user preferences to enable filtering based on issue severity. These correspond to the email_on_status and email_on_priority settings. Default is 'any'. Note that this option is not yet implemented.

See also: Email Notifications

## Summary

These are the settings that are used to configuration options related to the Summary page. This page contains statistics about the bugs in MantisBT.

$g_reporter_summary_limit

- Limit how many reporters to show in the summary page. This is useful when there are dozens or hundreds of reporters. The default value is 10.

$g_date_partitions

- An array of date lengths to count bugs by (in days) for the summary by date. The default is to count for 1, 2, 3, 7, 30, 60, 90, 180, and 365.

$g_summary_category_include_project

- Specifies whether category names should be preceeded by project names (eg: [Project] Category) when the summary page is viewed for all projects. This is useful in the case where category names are common accross projects. The default is OFF.

$g_view_summary_threshold

- Specifies the access level required to view the summary page. Default is VIEWER.

$g_severity_multipliers

- An array of multipliers which are used to determine the effectiveness of reporters based on the severity of bugs. Higher multipliers will result in an increase in reporter effectiveness. The default multipliers are:

      $g_severity_multipliers = array ( FEATURE => 1,
                                                                                TRIVIAL => 2,
                                                                                TEXT => 3,
                                                                                TWEAK => 2,
                                                                                MINOR => 5,
                                                                                MAJOR => 8,
                                                                                CRASH => 8,
                                                                                BLOCK => 10 );

  The keys of the array are severity constants from constant_inc.php or from custom_constants_inc.php if you have custom severities defined. The values are integers, typically in the range of 0 to 10. If you would like for a severity to not count towards effectiveness, set the value to 0 for that severity.

$g_resolution_multipliers

- An array of multipliers which are used to determine the effectiveness of reporters based on the resolution of bugs. Higher multipliers will result in a decrease in reporter effectiveness. The only resolutions that need to be defined here are those which match or exceed $g_bug_resolution_not_fixed_threshold. The default multipliers are:

      $g_resolution_multipliers = array( UNABLE_TO_DUPLICATE => 2,
                                                                                 NOT_FIXABLE => 1,
                                                                                 DUPLICATE => 3,
                                                                                 NOT_A_BUG => 5,
                                                                                 SUSPENDED => 1,
                                                                                 WONT_FIX => 1 );

  The keys of the array are resolution constants from constant_inc.php or from custom_constants_inc.php if you have custom resolutions defined. Resolutions not included here will be assumed to have a multiplier value of 0. The values are integers, typically in the range of 0 to 10. If you would like for a resolution to not count towards effectiveness, set the value to 0 for that resolution or remove it from the array completely. Note that these resolution multipliers are stacked on top of the severity multipliers. Therefore by default, a user reporting many duplicate bugs at severity level BLOCK will be far worse off than a user reporting many duplicate bugs at severity level FEATURE.

## Bugnote

$g_bugnote_order

- Order to use for sorting bugnotes by submit date. Possible values include ASC for ascending and DESC for descending order. The default value is ASC.

## File Upload

MantisBT allows users to upload file attachements and associated them with bugs as well as projects. Bug attachments / project documents can be uploaded to the webserver, database, or an FTP server. When bugs are uploaded to the webserver they are uploaded to the path that is configured in the project properties.In case of problems getting the file upload feature to work, check the following resources: PHP Manual .

$g_allow_file_upload

- Whether to allow/disallow uploading of attachments. Default value is ON.

$g_file_upload_method

- Specify the location for uploading attachements. This can be DISK, DATABASE, or FTP. In case of FTP, the files are saved on the webserver (same as disk) as well as on the specified FTP server. Default value is DATABASE. In case of DISK / FTP upload methods you need to provide the webserver with write access rights to the configured upload path (configured in the project) and temporary upload path (used by PHP).

$g_file_upload_max_num

- Maximum number of files that can be uploaded simultaneously.

$g_max_file_size

- The maximum file size to allow as an attachment. You may also have to configure your php.ini file to increase the execution time, memory limit, max post size, and max upload size.

$g_file_upload_ftp_server

- Address of the FTP server to write to (eg: ftp.example.com). This option is only effective if upload method is FTP.

$g_file_upload_ftp_user

- FTP user name for account to be used in uploading files to the FTP server. This account must have read/write access to the FTP server. The default path for the account is used for uploading the files.

$g_file_upload_ftp_pass

- Password to use when loggin in to the FTP server.

$g_max_file_size

- Maximum file size that can be uploaded. Default value is about 5MB. The max file upload size is also affected by the value specified in php.ini. The PHP value is usually defaulted to 2MB.

$g_allowed_files

- Files that are allowed. Separate items by commas. eg. "zip,bmp,gif,jpg,txt" If $g_allowed_files is filled in NO other file types will be allowed. If empty it will assume any files are accepted that pass the $g_disallowed_files list.

$g_disallowed_files

- Files that are not allowed. Separate items by commas. eg. "php,php3,phtml,html,class,java,exe,pl" $g_disallowed_files takes precedence over $g_allowed_files. It is recommended to disable all extensions that can be executed by your server.

$g_document_files_prefix

- Prefix to give to uploaded files when saved to the upload directory. This is used for documents that are attached to projects in order to be able to differentiate them from files that are attached to bugs. The name of the file has the following format prefix-projectcode-filename. The default value is 'doc'.

$g_preview_attachments_inline_max_size

- This limit applies to previewing of image / text attachments. If the attachment size is smaller than the specified value, the attachment is previewed with the issue details. The previewing can be disabled by setting this configuration to 0. The default value is 256 * 1024 (256KB).

$g_fileinfo_magic_db_file

- Specify the filename of the magic database file. This is used by PHP 5.3.0 (or earlier versions with the fileinfo PECL extension) to guess what the MIME type of a file is. Usually it is safe to leave this setting as the default (blank) as PHP is usually able to find this file by itself.

## HTML

$g_html_tags

- This is the list of HTML tags that are allowed.Do NOT include href or img tags here.Do NOT include tags that have parameters (eg. )The HTML code is allowed to enter the database as is. The $g_allow_href_tags does not have to be enabled to make URL links. The package will automatically hyperlink properly formatted URLs eg. http://blah.blah/ or mailto://me@more.com/

$g_hr_size

- hr size.

$g_hr_width

- hr width. Leave off the percentage (%) symbol.

$g_bottom_include_page

- If this page eixsts it will be displayed at the bottom of every page. It makes a good company branding include page.

$g_top_include_page

- If this page exists it will be displayed at the top of every page. It makes a good company branding include page.

$g_css_include_file

- Set this to point to the CSS file of your choice.

$g_css_rtl_include_file

- Set this to point to the RTL CSS file of your choice.

$g_meta_include_file

- Set this to point to the META tag file of your choice.

$g_main_menu_custom_options

- This option will add custom options to the main menu. It is an array of arrays listing the caption, access level required, and the link to be executed. For example: $g_main_menu_custom_options = array( array( "My Link", MANAGER, 'my_link.php' ), array( "My Link2", ADMINISTRATOR, 'my_link2.php' ) ); Note that if the caption is found in custom_strings_inc.php, then it will be replaced by the translated string. Options will only be added to the menu if the current logged in user has the appropriate access level.

## Authentication

### Global authentication parameters

$g_login_method

- Specifies which method will be used to authenticate. It should be one of the following values (defaults to MD5):

  - MD5 - user's password is stored as a hash in the database

  - LDAP - authenticates against an LDAP (or Active Directory) server

  - BASIC_AUTH

  - HTTP_AUTH

  In addition, the following deprecated values are supported for backwards-compatibility, and should no longer be used:

  - PLAIN - password is stored in plain, unencrypted text in the database

  - CRYPT

  - CRYPT_FULL_SALT

  Note: you may not be able to easily switch encryption methods, so this should be carefully chosen at install time. However, MantisBT will attempt to "fall back" to older methods if possible.

$g_reauthentication

- Determines whether MantisBT will require the user to re-authenticate before granting access to the Admin areas after timeout expiration. Defaults to ON

$g_reauthentication_expiry

- Duration of the reauthentication timeout, in seconds. Defaults to 5 minutes.

### LDAP authentication method parameters

The parameters below are only used if $g_login_method (see above) is set to LDAP.

$g_ldap_server

- Specifies the LDAP or Active Directory server to connect to, and must be provided as an URI

  The protocol is optional, can be one of ldap or ldaps, and defaults to ldap.

  The port number is optional, and defaults to 389. If this doesn't work, try using one of the following standard port numbers: 636 (ldaps); for Active Directory Global Catalog forest-wide search, use 3268 (ldap) or 3269 (ldaps)

  Examples of valid URI:

          ldap.example.com
          ldap.example.com:3268
          ldap://ldap.example.com/
          ldaps://ldap.example.com:3269/

$g_ldap_root_dn

- The root distinguished name for LDAP searches. For example, "dc=example, dc=com".

$g_ldap_organization

- LDAP search filter for the organization, for example, "(organizationname=*Traffic)". Defaults to ''.

$g_ldap_protocol_version

- The LDAP Protocol Version. If 0, then the protocol version is not set. Defaults to 0.

  For Active Directory use protocol version 3.

$g_ldap_follow_referrals

- Determines whether the LDAP library automatically follows referrals returned by LDAP servers or not. This maps to LDAP_OPT_REFERRALS ldap library option. Defaults to ON.

  For Active Directory, this should be set to OFF.

$g_ldap_bind_dn

- The distinguished name of the service account to use for binding to the LDAP server. For example, 'CN=ldap,OU=Administrators,DC=example,DC=com'.

$g_ldap_bind_passwd

- The password for the service account used to establish the connection to the LDAP server.

$g_ldap_uid_field

- The LDAP field for username. Defaults to uid.

  For Active Directory, set to sAMAccountName.

$g_ldap_realname_field

- The LDAP field for the user's real name (i.e. common name). Defaults to cn.

$g_use_ldap_realname

- Use the realname specified in LDAP (ON) rather than the one stored in the database (OFF). Defaults to OFF.

  Note that MantisBT will update the database with the data retrieved from LDAP when ON.

$g_use_ldap_email

- Use the email address specified in LDAP (ON) rather than the one stored in the database (OFF). Defaults to OFF.

  Note that MantisBT will update the database with the data retrieved from LDAP when ON.

$g_ldap_simulation_file_path

- This configuration option allows replacing the ldap server with a comma-delimited text file for development or testing purposes.

  The LDAP simulation file format is as follows:

          One line per user
          Each line has 4 comma-delimited fields
              - username,
              - realname,
              - e-mail,
              - password
          Any extra fields are ignored

  On production systems, this option should be set to ''. This is the default.

$g_ldap_port

- Deprecated since MantisBT release 1.2.0a1.

  The LDAP server port number should be defined as part of the URI in $g_ldap_server instead (see above).

## Status Settings

$g_bug_submit_status

- Status to assign to the bug when submitted. Default value is NEW_.

$g_bug_assigned_status

- Status to assign to the bug when assigned. Default value is ASSIGNED.

$g_bug_reopen_status

- Status to assign to the bug when reopened. Default value is FEEDBACK.

$g_bug_feedback_status

- Status to assign to the bug when feedback is required from the issue reporter. Once the reporter adds a note the status moves back from feedback to $g_bug_assigned_status or $g_bug_submit_status based on whether the bug assigned or not.

$g_reassign_on_feedback

- When a note is added to a bug currently in $g_bug_feedback_status, and the note author is the bug's reporter, this option will automatically set the bug status to $g_bug_submit_status or $g_bug_assigned_status if the bug is assigned to a developer. Defaults to enabled.

$g_bug_reopen_resolution

- Resolution to assign to the bug when reopened. Default value is REOPENED.

$g_auto_set_status_to_assigned

- Automatically set status to $g_bug_assigned_status whenever a bug is assigned to a person. Installations where assigned status is to be used when the defect is in progress, rather than just put in a person's queue should set it to OFF. Default is ON.

$g_bug_resolved_status_threshold

- Bug is resolved, ready to be closed or reopened. In some custom installations a bug maybe considered as resolved when it is moved to a custom (FIXED OR TESTED) status.

$g_bug_resolution_fixed_threshold

- Threshold resolution which denotes that a bug has been resolved and successfully fixed by developers. Resolutions above this threshold and below $g_bug_resolution_not_fixed_threshold are considered to be resolved successfully. Default value is FIXED.

$g_bug_resolution_not_fixed_threshold

- Threshold resolution which denotes that a bug has been resolved without being successfully fixed by developers. Resolutions above this threshold are considered to be resolved in an unsuccessful way. Default value is UNABLE_TO_DUPLICATE.

$g_bug_readonly_status_threshold $g_update_readonly_bug_threshold

- Bug becomes readonly if its status is >= $g_bug_readonly_status_threshold. The bug becomes read/write again if re-opened and its status becomes less than this threshold. The default is RESOLVED. Once the bug becomes readonly, a user with an access level greater than or equal to $g_update_readonly_bug_threshold can still edit the bug.

$g_status_enum_workflow

- 'status_enum_workflow' defines the workflow, and reflects a simple 2-dimensional matrix. For each existing status, you define which statuses you can go to from that status, e.g. from NEW_ you might list statuses '10:new,20:feedback,30:acknowledged' but not higher ones.The default is no workflow, where all states are accessible from any others.

$g_report_bug_threshold

- This is the access level required to open a bug. The default is REPORTER.

$g_update_bug_threshold

- This is the access level generally required to update the content of a bug. The default is UPDATER.

$g_handle_bug_threshold

- This is the access level generally required to be access level needed to be listed in the assign to field. The default is DEVELOPER. If a more restrictive setting can be determined from $g_set_status_threshold, it will be used.

$g_update_bug_status_threshold $g_set_status_threshold

- These settings control the access level required to promote a bug to a new status once the bug is opened.$g_set_status_threshold is an array indexed by the status value that allows a distinct setting for each status. It defaults to blank.If the appropriate status is not defined above, $g_update_bug_status_threshold is used instead. The default is DEVELOPER.

$g_allow_close_immediately

- If set, bugs are allowed to be resolved and closed in one action. The default is OFF.

$g_allow_reporter_close

- If set, the bug reporter is allowed to close their own bugs, regardless of their access level. The default is OFF.

$g_allow_reporter_reopen

- If set, the bug reporter is allowed to reopen their own bugs once resolved, regardless of their access level. This allows the reporter to disagree with the resolution. The default is ON.

See also: Customizing Status Values

## Filters

$g_filter_by_custom_fields

- Show custom fields in the filter dialog and use these in filtering. Defaults to ON.

$g_filter_custom_fields_per_row

- The number of custom fields to display per row. The default is 7. The value should be greater than or equal to 7.

$g_view_filters = SIMPLE_DEFAULT;

- Controls the display of the filter pages. Possible values are:

  - SIMPLE_ONLY - only simple view

  - ADVANCED_ONLY - only advanced view (allows multiple value selections)

  - SIMPLE_DEFAULT - defaults to simple view, but shows a link for advanced

  - ADVANCED_DEFAULT - defaults to advanced view, but shows a link for simple

$g_dhtml_filters = OFF;

- Controls the use of DHTML filters that will display the filter in view page using DHTML and javascript. Default is OFF. This requires $g_use_javascript to ne set to ON. This may not work in all browsers as it requires xmlhttprequest functionality.

$g_create_permalink_threshold

- The threshold required for users to be able to create permalinks (default DEVELOPER). To turn this feature off use NOBODY.

$g_create_short_url

- The service to use to create a short URL. The %s will be replaced by the long URL. By default http://www.tinyurl service is used to shorten URLs.

## Misc

$g_user_login_valid_regex

- The regular expression to use when validating new user login names. The default regular expression allows a-z, A-Z, 0-9, +, -, dot, space and underscore. If you change this, you may want to update the ERROR_USER_NAME_INVALID string in the language files to explain the rules you are using on your site.

  See Wikipedia for more details about regular expressions. For testing regular expressions, use Rubular.

$g_monitor_bug_threshold

- Access level needed to monitor bugs. The default value is REPORTER.

$g_monitor_add_others_bug_threshold

- Access level needed to add other users to the list of users monitoring a bug. The default value is DEVELOPER.

$g_monitor_delete_others_bug_threshold

- Access level needed to delete other users from the list of users monitoring a bug. The default value is DEVELOPER.

$g_limit_reporters

- Limit reporters to only viewing bugs that they report.

$g_allow_reporter_close

- Allow reporters to close the bugs they reported.

$g_allow_close_immediately

- Allow developers and above to close bugs immediately when resolving bugs.

$g_allow_bug_delete_access_level

- Allow the specified access level and above to delete bugs.

$g_bug_move_access_level

- Allow the specified access level and above to move bugs between projects.

$g_allow_account_delete

- Allow users to delete their own accounts.

$g_allow_anonymous_login

- Enable anonymous access to Mantis. You must also specify $g_anonymous_account as the account which anonymous users will browse Mantis with. The default setting is OFF.

$g_anonymous_account

- Define the account which anonymous users will assume when using Mantis. This account is considered by Mantis to be protected from modification. In other words, this account can only be modified by users with an access level equal to or higher than $g_manage_user_threshold. Anonymous users will not be able to adjust preferences or change account settings like normal users can.

  You will need to create a new account to use for this $g_anonymous_account setting. When creating the account you should specify a password, email address and so forth in the same way you'd create any other account. It is suggested that the access level for this account be set to VIEWER or some other read only level.

  The anonymous user account will not receive standard notifications and can not monitor issues.

  The default setting is blank/undefined. You only need to define this setting when $g_allow_anonymous_login is set to ON.

$g_cvs_web

- This allows for quick linking to CVS files via CVSweb or ViewCVS.

$g_bug_link_tag

- If a number follows this tag it will create a link to a bug. Default is '#'.

  - '#': a link would be #45

  - 'bug:' a link would be bug:98

$g_bugnote_link_tag

- If a number follows this tag it will create a link to a bug note. Default is '~'.

  - '~': a link would be ~45

  - 'bugnote:' a link would be bugnote:98

$g_show_timer

- Time page loads. Shows at the bottom of the page.

$g_show_queries_count

- Shows the total number/unique number of queries executed to serve the page. Default is ON.

$g_show_queries_list

- Shows the list of all queries that are executed in chronological order from top to bottom. This option is only effective when $g_show_queries_count is ON. Default is OFF. WARNING: Potential security hazard. Only turn this on when you really need it (for debugging or profiling)

$g_register_globals

- If your register_globals is Off then set this to OFF. Check your register_globals setting in php.ini or phpinfo().

$g_enable_project_documentation

- Specifies whether to enable support for project documents or not. Default is OFF. This feature is deprecated and is expected to be moved to a plugin in the future.

$g_admin_site_threshold

- Threshold at which a user is considered to be a site administrator. These users have the highest level of access to your Mantis installation. This access level is required to change key Mantis settings (such as server paths) and perform other administrative duties. You may need to change this value from the default of ADMINISTRATOR if you have defined a new access level to replace the default ADMINISTRATOR level in constant_inc.php.

  This is a potentially dangerous configuration option. Users at or above this threshold value will have permission to all aspects of Mantis including the admin/ directory. With this access level, users can damage your installation of Mantis, destroy your database or have elevated access to your server.

  DO NOT CHANGE THIS VALUE UNLESS YOU ABSOLUTELY KNOW WHAT YOU'RE DOING. BE VERY CAREFUL WITH CHANGING THIS CONFIGURATION VALUE FROM THE DEFAULT SETTING.

$g_view_configuration_threshold

- Threshold for users to view the raw system configurations as stored in the database. The default value is ADMINISTRATOR.

$g_set_configuration_threshold

- Threshold for users to set the system configurations generically via MantisBT web interface. WARNING: Users who have access to set configuration via the interface MUST be trusted. This is due to the fact that such users can set configurations to PHP code and hence there can be a security risk if such users are not trusted. The default value is ADMINISTRATOR.

$g_csv_add_bom

- Add Byte Order Mark (BOM) at the begining of the file as it helps Excel display the file in UTF-8. The default value is OFF;

## Cookies

The configuration variables $g_string_cookie, $g_project_cookie, $g_view_all_cookie, $g_manage_cookie are calculated based on $g_cookie_prefix. When you change the cookie prefix in config_inc.php, you need to follow it with a copy of the four lines that calculate the names for these cookies.

$g_cookie_path

- This is specifies to the path under which a cookie is visible. All scripts in this directory and its sub-directories will be able to access MantisBT cookies. Default value is '/'. It is recommended to set this to the actual MantisBT path.

$g_cookie_domain

- Unused

$g_cookie_version

- Cookie version is used as a prefix for cookies that should be expire when the code is changed in a certain way. The developers would increase this version when necessary, which in effect will cause the creation of new cookies that are compatible with the new code. It is not expected for the user to need to change this setting.

$g_cookie_prefix

- This should be set to a unique identifier which does not include spaces or periods. Again, this should be unique per MantisBT installation, especially if $g_cookie_path is not restricting the cookies scope to the actual MantisBT directory.

## Database Tables

MantisBT enables users to configure a table prefix for all its tables. This is useful to be able to have multiple MantisBT installation in the same database. The advantage of that is for users who are limited by their ISP to have one database.

$g_db_table_prefix

- Specifies the prefix to be use for all table names. The default value is 'mantis'. If you override the default prefix, make sure to update doc/db_generate.sql file before generating your database. The other option is to import db_generate.sql as is, then rename the tables to match the new prefix.

  The prefix is used to help make sure table names are unique. This is useful for users who are limited to one database.

  The table name for each of the tables is stored in a variable which is calculated based on this configuration option. If you change the prefix you have to make sure these variables are re-calculated (by adding these calculation statements to config_inc.php after assigning the new prefix). An example of these variables is: $g_mantis_bug_file_table

## Speed Optimisation

$g_compress_html

- This option is used to enable buffering/compression of HTML output if the user's browser supports it. Default value is ON. This option will be ignored in the following scenarios:

  - If php.ini has zlib.output_compression enabled.

  - If php.ini has output_handler set to a handler.

  - If PHP does not include the zlib extension (PHP 4.3.0 and later include zlib extension by default).

  You can check the loaded modules in your PHP by running "php -m" on the command line, or by using php_info() command in a php script.

$g_use_persistent_connections

- Use persistent database connections, setting this to ON will open the database once per connection, rather than once per page. There might be some scalability issues here and that is why it is defaulted to OFF.

## Reminders

Sending reminders is a feature where a user can notify / remind other users about a bug. In the past, only selected users like the managers, or developers would get notified about bugs. However, these people can not invite other people (through MantisBT) to look at or monitor these bugs.

This feature is useful if the Manager needs to get feedback from testers / requirements team about a certain bug. It avoid needing this person to do this manual outside MantisBT. It also records the history of such reminders.

$g_store_reminders

- Specifies if reminders should be stored as bugnotes. The bugnote will still reflect that it is a reminder and list the names of users that got it. Default is ON.

$g_reminder_recipients_monitor_bug

- Specifies if users who receive reminders about a bug, should be automatically added to the monitor list of that bug. Default is ON.

## Bug History

Bug history is a feature where MantisBT tracks all modifications that are made to bugs. These include everything starting from its creation, till it is closed. For each change, the bug history will record the time stamp, user who made the change, field that changed, old value, and new value.

Independent of the these settings, MantisBT will always track the changes to a bug and add them to its history.

$g_history_default_visible

- Make the bug history visible by default. If this option is not enabled, then the user will have to click on the Bug History link to see the bug history. Default is ON.

$g_history_order

- Show bug history entries in ascending or descending order. Default value is 'ASC'.

## Sponsorship

$g_enable_sponsorship

- enable/disable the whole issue sponsorship feature. The default os OFF.

$g_sponsorship_currency

- The currency string used for all sponsorships. The default is 'US$'.

$g_minimum_sponsorship_amount

- The minimum sponsorship amount that can be entered. If the user enters a value less than this, an error will be flagged. The default is 5.

$g_view_sponsorship_total_threshold

- The access level threshold needed to view the total sponsorship for an issue by all users. The default is VIEWER.

$g_view_sponsorship_details_threshold

- The access level threshold needed to view the details of the sponsorship (i.e., who will donate what) for an issue by all users. The default is VIEWER.

$g_sponsor_threshold

- The access level threshold needed to allow user to sponsor issues. The default is REPORTER. Note that sponsoring user must have their email set in their profile.

$g_handle_sponsored_bugs_threshold

- The access level required to be able to handle sponsored issues. The default is DEVELOPER.

$g_assign_sponsored_bugs_threshold

- The access level required to be able to assign a sponsored issue to a user with access level greater or equal to 'handle_sponsored_bugs_threshold'. The default is MANAGER.

## Source Control Integration

$g_source_control_account

- Account to be used by the source control script. The account must be enabled and must have the appropriate access level to add notes to all issues even private ones (DEVELOPER access recommended). The default is '' (not set).

$g_source_control_notes_view_status

- This sets whether the note added will be public or private (VS_PUBLIC or VS_PRIVATE). For open source projects it is expected that the notes be public, however, for non-open source it will probably be VS_PRIVATE. The default is VS_PRIVATE.

$g_source_control_set_status_to

- If set to a status, then after a checkin, the issue status is set to the specified status, otherwise if set to OFF, the issue status is not affected. The default is OFF.

$g_source_control_regexp

- Regular expression used to detect issue ids within checkin comments. See preg_match_all() documentation for more details on setting a pattern. The default is "/\bissue [#]{0,1}(\d+)\b/i" (e.g., issue #745).

## Custom Fields

$g_manage_custom_fields_threshold

- Access level needed to manage custom fields. The default is ADMINISTRATOR.

$g_custom_field_link_threshold

- Access level needed to link a custom field to a project. The default is MANAGER.

$$g_custom_field_edit_after_create

- This flag determines whether to start editng a custom field immediately after creating it, or return to the definition list. The default is ON (edit the custom field after creating).

## My View Settings

$g_my_view_boxes

- This is an array of values defining the order that the boxes to be shown. A box that is not to be shown can have its value set to 0. The default is:

      $g_my_view_boxes = array ( 'assigned' => '1',
                                  'unassigned' => '2',
                                  'reported' => '3',
                                  'resolved' => '4',
                                  'recent_mod' => '5',
                                  'monitored' => '6'
                                  );

  If you want to change the definition, copy the default value and apply the changes.

$g_my_view_bug_count

- Number of bugs shown in each box. The default is 10.

$g_default_home_page

- Default page to transfer to after Login or Set Project. The default is 'my_view_page.php'. An alternative would be 'view_all_bugs_page.php' or 'main_page.php'.

## Relationship Graphs

$g_relationship_graph_enable

- This enables the relationship graphs feature where issues are represented by nodes and relationships as links between such nodes. Possible values are ON or OFF. Default is OFF.

  This feature requires installing GraphViz (all OSes except Windows) or WinGraphviz (only Windows). Refer to the notes near the top of core/graphviz_api.php and core/relationship_graph_api.php for more information.

$g_relationship_graph_fontname

- Font name and size, as required by Graphviz. If Graphviz fails to run for you, you are probably using a font name that gd PHP extension can't find. On Linux, try the name of the font file without the extension. The default value is 'Arial'.

$g_relationship_graph_fontsize

- Font size, default is 8.

$g_relationship_graph_orientation

- Default dependency orientation. If you have issues with lots of children or parents, leave as 'horizontal', otherwise, if you have lots of "chained" issue dependencies, change to 'vertical'. Default is 'horizontal'.

$g_relationship_graph_max_depth

- Max depth for relation graphs. This only affects relationship graphs, dependency graphs are drawn to the full depth. The default value is 2.

$g_relationship_graph_view_on_click

- If set to ON, clicking on an issue on the relationship graph will open the bug view page for that issue, otherwise, will navigate to the relationship graph for that issue.

$g_dot_tool

- The full path for the dot tool. The webserver must have execute permission to this program in order to generate relationship graphs. This configuration option is not relevant for Windows. The default value is '/usr/bin/dot'.

$g_neato_tool

- The full path for the neato tool. The webserver must have execute permission to this program in order to generate relationship graphs. This configuration option is not relevant for Windows. The default value is '/usr/bin/neato'.

## Sub-Projects

$g_show_extended_project_browser

- Whether to use the extended project selector, where top level projects have their separate selector, and sub-projects have another. If OFF, there will be one combo box at the top right to select the project/sub-project. If ON, there will be two. The default is OFF.

$g_subprojects_inherit_versions

- Whether sub-projects should inherit versions from parent projects. For project X which is a sub-project of A and B, it will have versions from X, A and B. The default value is ON.

$g_subprojects_inherit_categories

- Whether sub-projects should inherit categories from parent projects. For project X which is a sub-project of A and B, it will have categories from X, A and B. The default value is ON.

## Field Visibility

$g_enable_eta

- Enable or disable usage of 'ETA' field. Default value is OFF.

$g_enable_projection

- Enable or disable usage of 'Projection' field. Default value is OFF.

$g_show_product_build

- Enable or disable usage of 'Product Build' field. Default is OFF.

$g_bug_report_page_fields

- An array of fields to show on the issue view page. Some of these fields may be filtered out if their features are disabled or if the user doesn't have access to view them. See BUG_FIELD_* in constant_inc.php for all possible values.

  The following fields can not be included: BUG_FIELD_ID, BUG_FIELD_PROJECT, BUG_FIELD_DATE_SUBMITTED, BUG_FIELD_LAST_UPDATED, BUG_FIELD_STATUS, BUG_FIELD_RESOLUTION, BUG_FIELD_TAGS, BUG_FIELD_FIXED_IN_VERSION, BUG_FIELD_PROJECTION, BUG_FIELD_ETA, BUG_FIELD_REPORTER.

  The following fields must be included: BUG_FIELD_CATEGORY, BUG_FIELD_SUMMARY, BUG_FIELD_DESCRIPTION.

  To overload these settings per project, then the settings must be included in the database through the generic configuration form. Note that the array in the database should consistent of the values of the constants below. For example, replace BUG_FIELD_CATEGORY with 'category_id'. See constant_inc.php for the values of the constants.

$g_bug_view_page_fields

- An array of fields to show on the issue view page. Some of these fields may be filtered out if their features are disabled or if the user doesn't have access to view them. See BUG_FIELD_* in constant_inc.php for all possible values.

  To overload this setting per project, then the setting must be included in the database through the generic configuration form. Note that the array in the database should consistent of the values of the constants. For example, replace BUG_FIELD_CATEGORY with 'category_id'. See constant_inc.php for the values of the constants.

$g_bug_print_page_fields

- An array of fields to show on the issue print page. Some of these fields may be filtered out if their features are disabled or if the user doesn't have access to view them. See BUG_FIELD_* in constant_inc.php for all possible values.

$g_bug_update_page_fields

- An array of fields to show on the issue update page. Some of these fields may be filtered out if their features are disabled or if the user doesn't have access to view them. See BUG_FIELD_* in constant_inc.php for all possible values.

  To overload this setting per project, then the setting must be included in the database through the generic configuration form. Note that the array in the database should consistent of the values of the constants. For example, replace BUG_FIELD_CATEGORY with 'category_id'. See constant_inc.php for the values of the constants.

$g_bug_change_status_page_fields

- An array of fields to show on the issue change status page. Some of these fields may be filtered out of their features are disabled or if the user doesn't have access to view them. See BUG_FIELD_* in constant_inc.php for all possible values.

  To overload this setting per project, then the setting must be included in the database through the generic configuration form. Note that the array in the database should consistent of the values of the constants. For example, replace BUG_FIELD_CATEGORY with 'category_id'. See constant_inc.php for the values of the constants.

## System Logging

The system logging interface is used to extract detailed debugging information for the MantisBT system. It can also serve as an audit trail for user actions.

$g_log_level

- This controls the type of logging information recorded. Possible values include:

  LOG_AJAX

LOG_DATABASE

LOG_EMAIL

- logs issue id, message type and recipients for all emails sent

LOG_EMAIL_RECIPIENT

- logs the details of email recipient determination. Each user id is listed as well as why they are added, or deleted from the recipient list

LOG_FILTERING

LOG_LDAP

- logs the details of LDAP operations

Multiple logging levels can be combined by using an inclusive or operator, e.g. `LOG_EMAIL | LOG_EMAIL_RECIPIENT`

$g_log_destination

- specifies the file where the log data goes. This file must be writable by the web server userid running MantisBT. Right now, only "file:<file path>" is supported. For example, $g_log_destination = 'file:/tmp/mantis_log'; See http://www.php.net/error_log for details.

## Time Tracking

$g_time_tracking_enabled

- Turns Time Tracking features ON or OFF - Default is OFF

$g_time_tracking_without_note

- Allow time tracking to be recorded without writing some text in the associated bugnote - Default is ON

$g_time_tracking_with_billing

- Adds calculation links to workout how much time has been spent between a particular time frame. Currently it will allow you to enter a cost/hour and will work out some billing information. This will become more extensive in the future. Currently it is more of a proof of concept.

$g_time_tracking_stopwatch

- Instead of a text field turning this option on places a stopwatch on the page with Start/Stop and Reset buttons next to it. You must have $g_use_javascript switched on for this to take effect. A bit gimickie, but who cares.

$g_time_tracking_view_threshold

- Access level required to view time tracking information - Default DEVELOPER.

$g_time_tracking_edit_threshold

- Access level required to add/edit time tracking information (If you give a user $g_time_tracking_edit_threshold you must give them $g_time_tracking_view_threshold aswell) - Default DEVELOPER.

$g_time_tracking_reporting_threshold

- Access level required to run reports (not completed yet) - Default MANAGER.

## MantisTouch

These options are used to integrate with MantisTouch (http://www.mantistouch.org) to provide experience targeted to mobile devices.

$g_mantistouch_url

- The MantisTouch URL to direct to. The %s will be replaced by the contents of $g_path configuration option. A blank value will disable redirection. The %s is not required when redirecting to MantisTouch instances that point to a single MantisBT instance and hence have a hard-coded URL. Examples include: '' (default), 'http://mantisbt.mobi?url=%s', and 'http://MyOwnMantisTouch.com/'.